[youtubei.js](../../../../README.md) / [Types](../README.md) / AnalyzerOptions

# Interface: AnalyzerOptions

Defined in: [src/utils/javascript/JsAnalyzer.ts:26](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/utils/javascript/JsAnalyzer.ts#L26)

## Properties

### extractions?

> `optional` **extractions**: [`ExtractionConfig`](ExtractionConfig.md) \| [`ExtractionConfig`](ExtractionConfig.md)[]

Defined in: [src/utils/javascript/JsAnalyzer.ts:30](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/utils/javascript/JsAnalyzer.ts#L30)

One or more extraction configurations to look for while traversing.
